Package be.ehealth.businessconnector.genericasync.helper

# Class GetHelper

java.lang.Object
be.ehealth.businessconnector.genericasync.helper.GetHelper

public class GetHelper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetHelper(String projectName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfirmResponse`
  `confirmAll(ProcessedGetResponse getResponse)`
  `<T> ConfirmResponse`
  `confirmAll(ProcessedGetResponse<T> getResponse, String recipient)`
  `ConfirmResponse`
  `confirmMessageWithReference(ProcessedMsgResponse msgResponse)`
  `ConfirmResponse`
  `confirmMessageWithReference(ProcessedMsgResponse msgResponse, String recipient)`
  `ConfirmResponse`
  `confirmTAckWithReference(ProcessedTAckResponse tAckResponse)`
  `ConfirmResponse`
  `confirmTAckWithReference(ProcessedTAckResponse tAckResponse, String recipient)`
  `ConfirmResponse`
  `confirmWithMessageReferences(ProcessedGetResponse getResponse)`
  `<T> ConfirmResponse`
  `confirmWithMessageReferences(ProcessedGetResponse<T> getResponse, String recipient)`
  `ConfirmResponse`
  `confirmWithTAckReferences(ProcessedGetResponse getResponse)`
  `<T> ConfirmResponse`
  `confirmWithTAckReferences(ProcessedGetResponse<T> getResponse, String recipient)`
  `ProcessedGetResponse`
  `get(GetRequest request, String message, Class clazz)`
  `ProcessedGetResponse`
  `get(GetRequest request, String message, Class clazz, String schemaLocation)`
  `ProcessedGetResponse`
  `get(GetRequest request, String message, String recipient, Class clazz, String schemaLocation)`
  `OrigineType`
  `getOrigineType(String projectName)`
  `Confirm`
  `initConfirmRequest(String projectName)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetHelper

    public GetHelper(String projectName)

- ## Method Details

  - ### get

    public ProcessedGetResponse get(GetRequest request, String message, String recipient, Class clazz, String schemaLocation) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### get

    public ProcessedGetResponse get(GetRequest request, String message, Class clazz, String schemaLocation) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### get

    public ProcessedGetResponse get(GetRequest request, String message, Class clazz) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmAll

    public ConfirmResponse confirmAll(ProcessedGetResponse getResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmAll

    public <T> ConfirmResponse confirmAll(ProcessedGetResponse<T> getResponse, String recipient) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmWithTAckReferences

    public ConfirmResponse confirmWithTAckReferences(ProcessedGetResponse getResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmWithTAckReferences

    public <T> ConfirmResponse confirmWithTAckReferences(ProcessedGetResponse<T> getResponse, String recipient) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### initConfirmRequest

    public Confirm initConfirmRequest(String projectName) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### confirmWithMessageReferences

    public ConfirmResponse confirmWithMessageReferences(ProcessedGetResponse getResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmWithMessageReferences

    public <T> ConfirmResponse confirmWithMessageReferences(ProcessedGetResponse<T> getResponse, String recipient) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmTAckWithReference

    public ConfirmResponse confirmTAckWithReference(ProcessedTAckResponse tAckResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmTAckWithReference

    public ConfirmResponse confirmTAckWithReference(ProcessedTAckResponse tAckResponse, String recipient) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmMessageWithReference

    public ConfirmResponse confirmMessageWithReference(ProcessedMsgResponse msgResponse) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### confirmMessageWithReference

    public ConfirmResponse confirmMessageWithReference(ProcessedMsgResponse msgResponse, String recipient) throws ConnectorException
    Throws:
      `ConnectorException`

  - ### getOrigineType

    public OrigineType getOrigineType(String projectName) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`